Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers

From: Stefan Kangas <[email-masked]>
Date: Fri, 22 Oct 2021 19:43:18 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> We do have all of that, but I think that it would be reasonable (by
>>> default) for `dabbrev--select-buffers' to ignore these "binary"
>>> buffers.  Because the data there is mostly noise.
>>
>> If you want to do that, why not just add the appropriate regexp(s) to
>> dabbrev-ignored-buffer-regexps?
>
> It's a user option, so we shouldn't add things to it dynamically, but we
> could add a default that excludes these files.  The problem is, though,
> that that would be a very complex regexp matching everything that
> arc/tar/image modes covers, which is quite a lot.
>
> The user option thing also goes for `dabbrev-ignored-buffer-names'.

Shouldn't we rather have a defcustom to ignore certain major modes?
The name could be `dabbrev-ignored-major-modes'.